#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
version=1.8.0
commit=9d76cd757cfe13eefc554407683b462c4f414390

pushd "$tmp"
git clone git://git.gromacs.org/tng.git
cd tng
git archive --prefix="tng-${version}/" --format=tar ${commit} | xz -T0 > "$pwd"/tng-${version}.tar.xz
popd
